
package de.ivu.elect.business.personenpruefung.control;

import javax.ejb.EJB;
import javax.enterprise.event.Observes;
import javax.enterprise.event.Reception;
import javax.enterprise.event.TransactionPhase;

public class PersonenPruefEventListener {

  @EJB // NOTE, dass die Annotation wichtig ist, da mit @Inject die asynchrone Ausführung nicht funktioniert!
  private PersonenPruefBackgroundService service;

  public PersonenPruefEventListener() {
    super();
  }

  public void listen(@Observes(during = TransactionPhase.AFTER_SUCCESS, notifyObserver = Reception.ALWAYS) PersonenPruefEvent event) {
    PersonenPruefBackgroundService.startIfNotRunning(service, PersonenPruefBackgroundService.RUNNING);
  }
}
